For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all task types
      • GETGet all tasks
      • POSTCreate a task
      • GETGet a task
      • DELDelete a task
      • PATCHUpdate a task
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMTasks

Update a task

PATCH
https://api.brevo.com/v3/crm/tasks/:id
PATCH
/v3/crm/tasks/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tasks.updateATask("id", {});
8}
9main();

Update an existing CRM task”s properties such as name, type, due date, status, duration, notes, assignee, reminder, or linked entities. Only the fields provided in the request body will be updated; omitted fields remain unchanged.

Was this page helpful?
Previous

Get all notes

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Request

Updated task details.
assignToIdstringOptional
To assign a task to a user you can use either the account email or ID.
companiesIdslist of stringsOptional
Companies ids for companies a task is linked to
contactsIdslist of integersOptional
Contact ids for contacts linked to this task
datedatetimeOptional

Task date/time

dealsIdslist of stringsOptional
Deal ids for deals a task is linked to
donebooleanOptional
Task marked as done
durationlongOptional

Duration of task in milliseconds [1 minute = 60000 ms]

namestringOptional
Name of task
notesstringOptional
Notes added to a task
reminderobjectOptional

Task reminder date/time for a task

taskTypeIdstringOptional

Id for type of task e.g Call / Email / Meeting etc.

Errors

400
Bad Request Error
404
Not Found Error